Hi all,
Here are the first patch for freebsd support :
I splitted them corresponding to the different git and prefix them
with the git repository name.
Of course those patches are in any license you want that best fits your needs :)
The other patch are not included as they need more work, and I don't
know how to integrate them cleanly.
For example using bsdtar (libarchive) instead of GNU tar perfectly
works to may be there should be a test in configure.in to allow bsdtar
as well as gnu tar
Another patch is that build/libreoffice/oox/util/makefile.mk needs to
link to -lcrypto on freebsd. Don't know how to integrate that cleanly
building with java bring a problem apache-commons/java/*/makefile.mk
because the ANT_OPT line fails with our openjdk6 or our version of
ant, don't know. It leads to a class def not found exception,
searching -Dencoding... in classpath
commenting out the ANT_OPT line fix the problem.
regards,
Bapt
diff --git a/solenv/bin/ooinstall b/solenv/bin/ooinstall
index e718b8a..ba226fa 100755
--- a/solenv/bin/ooinstall
+++ b/solenv/bin/ooinstall
@@ -14,7 +14,7 @@ use Cwd;
$path = '';
$do_link = 0;
-( $^O =~ /netbsd/i ) || ( $^O =~ /openbsd/i ) || ( $^O =~ /darwin/i ) || ( -f "/proc/meminfo" ) ||
die "The installer cannot work without javaldx running, which requires /proc to be mounted";
+( $^O =~ /freebsd/i ) || ( $^O =~ /netbsd/i ) || ( $^O =~ /openbsd/i ) || ( $^O =~ /darwin/i ) ||
( -f "/proc/meminfo" ) || die "The installer cannot work without javaldx running, which requires
/proc to be mounted";
# Workaround for system Mozilla
if ( $ENV{'SYSTEM_MOZILLA'} eq 'YES' ) {
diff --git a/bin/build-ooo b/bin/build-ooo
index e4ab354..c3b2248 100755
--- a/bin/build-ooo
+++ b/bin/build-ooo
@@ -11,7 +11,7 @@ fi
export TARFILE_LOCATION
-if test "z$BUILD_WIN32" = "z" -a "z`uname -s`" != "zSunOS" -a "z`uname -s`" != "zDarwin" -a
"z`uname -s`" != "zOpenBSD"; then
+if test "z$BUILD_WIN32" = "z" -a "z`uname -s`" != "zSunOS" -a "z`uname -s`" != "zDarwin" -a
"z`uname -s`" != "zOpenBSD" -a "z`uname -s`" != "zFreeBSD"; then
if ! test -f /proc/cpuinfo; then
echo "Looks like proc isn't mounted - this means almost certain"
echo "Java related weird build failure: please check /proc"
diff --git a/bin/ooinstall b/bin/ooinstall
index 170ee29..2f54005 100755
--- a/bin/ooinstall
+++ b/bin/ooinstall
@@ -31,7 +31,7 @@ sub suck_setup($)
return 0;
}
-( $^O =~ /openbsd/i ) || ( $^O =~ /darwin/i ) || ( -f "/proc/meminfo" ) || die "The installer
cannot work without javaldx running, which requires /proc to be mounted";
+( $^O =~ /freebsd/i) || ( $^O =~ /openbsd/i ) || ( $^O =~ /darwin/i ) || ( -f "/proc/meminfo" ) ||
die "The installer cannot work without javaldx running, which requires /proc to be mounted";
suck_setup ("./setup") || suck_setup ("bin/setup") || die "can't find bin/setup";
diff --git a/desktop/scripts/soffice.sh b/desktop/scripts/soffice.sh
index 2989edd..e485b11 100644
--- a/desktop/scripts/soffice.sh
+++ b/desktop/scripts/soffice.sh
@@ -70,7 +70,7 @@ fi
sd_binary=`basename "$0" | sed 's/libreoffice/soffice/g'`.bin
case "`uname -s`" in
-NetBSD|OpenBSD) # this is a temporary hack until we can live with the default search paths
+NetBSD|OpenBSD|FreeBSD) # this is a temporary hack until we can live with the default search paths
sd_prog1="$sd_prog/../basis-link/program"
sd_prog2="$sd_prog/../basis-link/ure-link/lib"
LD_LIBRARY_PATH=$sd_prog1:$sd_prog2${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}
Context
- [Libreoffice] [PATCH] freebsd support · Baptiste Daroussin
Privacy Policy |
Impressum (Legal Info) |
Copyright information: Unless otherwise specified, all text and images
on this website are licensed under the
Creative Commons Attribution-Share Alike 3.0 License.
This does not include the source code of LibreOffice, which is
licensed under the Mozilla Public License (
MPLv2).
"LibreOffice" and "The Document Foundation" are
registered trademarks of their corresponding registered owners or are
in actual use as trademarks in one or more countries. Their respective
logos and icons are also subject to international copyright laws. Use
thereof is explained in our
trademark policy.